# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "rkerberos"
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Daniel Berger", "Dominic Cleal"]
  s.date = "2013-05-14"
  s.description = "    The rkerberos library is an interface for the Kerberos 5 network\n    authentication protocol. It wraps the Kerberos C API.\n"
  s.email = ["djberg96@gmail.com", "dcleal@redhat.com"]
  s.extensions = ["ext/rkerberos/extconf.rb"]
  s.extra_rdoc_files = ["README.md", "CHANGES", "MANIFEST", "ext/rkerberos/principal.c", "ext/rkerberos/rkerberos.c", "ext/rkerberos/policy.c", "ext/rkerberos/ccache.c", "ext/rkerberos/context.c", "ext/rkerberos/kadm5.c", "ext/rkerberos/config.c", "ext/rkerberos/keytab_entry.c", "ext/rkerberos/keytab.c"]
  s.files = ["MANIFEST", "test", "test/test_context.rb", "test/test_credentials_cache.rb", "test/test_config.rb", "test/test_kadm5.rb", "test/test_keytab_entry.rb", "test/test_krb5.rb", "test/test_krb5_keytab.rb", "test/test_policy.rb", "test/test_principal.rb", "README.md", "rkerberos.gemspec", "Rakefile", "ext", "ext/rkerberos", "ext/rkerberos/principal.c", "ext/rkerberos/rkerberos.h", "ext/rkerberos/rkerberos.c", "ext/rkerberos/policy.c", "ext/rkerberos/ccache.c", "ext/rkerberos/context.c", "ext/rkerberos/kadm5.c", "ext/rkerberos/config.c", "ext/rkerberos/keytab_entry.c", "ext/rkerberos/extconf.rb", "ext/rkerberos/keytab.c", "CHANGES", "debian", "debian/copyright", "debian/control", "debian/libkrb5-ruby", "debian/libkrb5-ruby1.8", "debian/source", "debian/source/lintian-overrides", "debian/source/format", "debian/rules", "debian/libkrb5-ruby1.8.debhelper.log", "debian/libkrb5-ruby1.9.1", "debian/ruby-rkerberos.debhelper.log", "debian/libkrb5-ruby-doc.debhelper.log", "debian/compat", "debian/changelog", "debian/watch", "debian/libkrb5-ruby1.9.1.debhelper.log", "debian/ruby-rkerberos", "debian/libkrb5-ruby-doc", "debian/libkrb5-ruby.debhelper.log"]
  s.homepage = "http://github.com/domcleal/rkerberos"
  s.licenses = ["Artistic 2.0"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "A Ruby interface for the the Kerberos library"
  s.test_files = ["test/test_context.rb", "test/test_credentials_cache.rb", "test/test_config.rb", "test/test_kadm5.rb", "test/test_keytab_entry.rb", "test/test_krb5.rb", "test/test_krb5_keytab.rb", "test/test_policy.rb", "test/test_principal.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rake-compiler>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 2.1.0"])
      s.add_development_dependency(%q<dbi-dbrc>, [">= 1.1.6"])
    else
      s.add_dependency(%q<rake-compiler>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 2.1.0"])
      s.add_dependency(%q<dbi-dbrc>, [">= 1.1.6"])
    end
  else
    s.add_dependency(%q<rake-compiler>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 2.1.0"])
    s.add_dependency(%q<dbi-dbrc>, [">= 1.1.6"])
  end
end
